#ifndef __aHydro1p1b_h__
#define __aHydro1p1b_h__

extern int NUM,STEPS,UPDATE,SNAPUPDATE,INITCONDTYPE,STEPPER,IDEAL,USELAX,EOS,NA,NB,COMPUTEFREEZEOUT,ISOFREEZE;
extern double A,EPS,TAU0,ETABAR,L0,ALPHAX0,ALPHAZ0,LAXFRAC,SIGMANN,Q,TFO;
extern char EOSDIR[100],PARTICLEFILE[100];

extern double *thetap,*lambda,*alphax,*alphaz;
extern double *Thetap,*Lambda,*Alphax,*Alphaz;
extern double *rhs_thetap,*rhs_lambda,*rhs_alphax,*rhs_alphaz;
extern double *RK4_thetap,*RK4_lambda,*RK4_alphax,*RK4_alphaz;

extern std::fstream monitor_out;

const double HBARC = 0.197326938; // GeV fm

// options
#define DERIVORDER 4

// constants
//#define TINY 1.0e-16
//#define VERYSMALL 1.0e-10
//#define SMALL 1.0e-08

// data structures

struct stateVars {
    double t, r, lambda, alphax, alphaz, thetap, drlambda, dralphax, dralphaz, drthetap;
};

struct stateFncs {
    double T, R, d1R, d2R, HTx, d1HTx, d2HTx, HTy, HL, ay, d1ay, d2ay, Eiso, dEiso, Piso, dPiso, sinhThetap, coshThetap;
};

#endif /* __aHydro1p1b_h__ */
